## SoupXmlrpcResponse

SoupXmlrpcResponse — An XML-RPC response

## Synopsis

                        SoupXmlrpcResponse;
    SoupXmlrpcResponse* soup_xmlrpc_response_new            (void);
    SoupXmlrpcResponse* soup_xmlrpc_response_new_from_string
                                                            (const char *xmlstr);
    gboolean            soup_xmlrpc_response_from_string    (SoupXmlrpcResponse *response,
                                                             const char *xmlstr);
    xmlChar*            soup_xmlrpc_response_to_string      (SoupXmlrpcResponse *response);

    typedef             SoupXmlrpcValue;
    enum                SoupXmlrpcValueType;
    gboolean            soup_xmlrpc_response_is_fault       (SoupXmlrpcResponse *response);
    SoupXmlrpcValue*    soup_xmlrpc_response_get_value      (SoupXmlrpcResponse *response);

    SoupXmlrpcValueType soup_xmlrpc_value_get_type          (SoupXmlrpcValue *value);
    gboolean            soup_xmlrpc_value_get_int           (SoupXmlrpcValue *value,
                                                             long *i);
    gboolean            soup_xmlrpc_value_get_double        (SoupXmlrpcValue *value,
                                                             double *b);
    gboolean            soup_xmlrpc_value_get_boolean       (SoupXmlrpcValue *value,
                                                             gboolean *b);
    gboolean            soup_xmlrpc_value_get_string        (SoupXmlrpcValue *value,
                                                             char **str);
    gboolean            soup_xmlrpc_value_get_datetime      (SoupXmlrpcValue *value,
                                                             time_t *timeval);
    gboolean            soup_xmlrpc_value_get_base64        (SoupXmlrpcValue *value,
                                                             GByteArray **data);
    gboolean            soup_xmlrpc_value_get_struct        (SoupXmlrpcValue *value,
                                                             GHashTable **table);

    typedef             SoupXmlrpcValueArrayIterator;
    gboolean            soup_xmlrpc_value_array_get_iterator
                                                            (SoupXmlrpcValue *value,
                                                             SoupXmlrpcValueArrayIterator **iter);
    SoupXmlrpcValueArrayIterator* soup_xmlrpc_value_array_iterator_prev
                                                            (SoupXmlrpcValueArrayIterator *iter);
    SoupXmlrpcValueArrayIterator* soup_xmlrpc_value_array_iterator_next
                                                            (SoupXmlrpcValueArrayIterator *iter);
    gboolean            soup_xmlrpc_value_array_iterator_get_value
                                                            (SoupXmlrpcValueArrayIterator *iter,
                                                             SoupXmlrpcValue **value);

    void                soup_xmlrpc_value_dump              (SoupXmlrpcValue *value);

## Object Hierarchy

      GObject
       +----SoupXmlrpcResponse

## Description

## Details

### SoupXmlrpcResponse

    typedef struct _SoupXmlrpcResponse SoupXmlrpcResponse;

### soup_xmlrpc_response_new ()

    SoupXmlrpcResponse* soup_xmlrpc_response_new            (void);

Returns : |

### soup_xmlrpc_response_new_from_string ()

    SoupXmlrpcResponse* soup_xmlrpc_response_new_from_string
                                                            (const char *xmlstr);

`xmlstr` : |
Returns : |

### soup_xmlrpc_response_from_string ()

    gboolean            soup_xmlrpc_response_from_string    (SoupXmlrpcResponse *response,
                                                             const char *xmlstr);

`response` : |
`xmlstr` : |
Returns : |

### soup_xmlrpc_response_to_string ()

    xmlChar*            soup_xmlrpc_response_to_string      (SoupXmlrpcResponse *response);

`response` : |
Returns : |

### SoupXmlrpcValue

    typedef xmlNode *SoupXmlrpcValue;

### enum SoupXmlrpcValueType

    typedef enum {
    	SOUP_XMLRPC_VALUE_TYPE_BAD,
    	SOUP_XMLRPC_VALUE_TYPE_INT,
    	SOUP_XMLRPC_VALUE_TYPE_BOOLEAN,
    	SOUP_XMLRPC_VALUE_TYPE_STRING,
    	SOUP_XMLRPC_VALUE_TYPE_DOUBLE,
    	SOUP_XMLRPC_VALUE_TYPE_DATETIME,
    	SOUP_XMLRPC_VALUE_TYPE_BASE64,
    	SOUP_XMLRPC_VALUE_TYPE_STRUCT,
    	SOUP_XMLRPC_VALUE_TYPE_ARRAY
    } SoupXmlrpcValueType;

### soup_xmlrpc_response_is_fault ()

    gboolean            soup_xmlrpc_response_is_fault       (SoupXmlrpcResponse *response);

`response` : |
Returns : |

### soup_xmlrpc_response_get_value ()

    SoupXmlrpcValue*    soup_xmlrpc_response_get_value      (SoupXmlrpcResponse *response);

`response` : |
Returns : |

### soup_xmlrpc_value_get_type ()

    SoupXmlrpcValueType soup_xmlrpc_value_get_type          (SoupXmlrpcValue *value);

`value` : |
Returns : |

### soup_xmlrpc_value_get_int ()

    gboolean            soup_xmlrpc_value_get_int           (SoupXmlrpcValue *value,
                                                             long *i);

`value` : |
`i` : |
Returns : |

### soup_xmlrpc_value_get_double ()

    gboolean            soup_xmlrpc_value_get_double        (SoupXmlrpcValue *value,
                                                             double *b);

`value` : |
`b` : |
Returns : |

### soup_xmlrpc_value_get_boolean ()

    gboolean            soup_xmlrpc_value_get_boolean       (SoupXmlrpcValue *value,
                                                             gboolean *b);

`value` : |
`b` : |
Returns : |

### soup_xmlrpc_value_get_string ()

    gboolean            soup_xmlrpc_value_get_string        (SoupXmlrpcValue *value,
                                                             char **str);

`value` : |
`str` : |
Returns : |

### soup_xmlrpc_value_get_datetime ()

    gboolean            soup_xmlrpc_value_get_datetime      (SoupXmlrpcValue *value,
                                                             time_t *timeval);

`value` : |
`timeval` : |
Returns : |

### soup_xmlrpc_value_get_base64 ()

    gboolean            soup_xmlrpc_value_get_base64        (SoupXmlrpcValue *value,
                                                             GByteArray **data);

`value` : |
`data` : |
Returns : |

### soup_xmlrpc_value_get_struct ()

    gboolean            soup_xmlrpc_value_get_struct        (SoupXmlrpcValue *value,
                                                             GHashTable **table);

`value` : |
`table` : |
Returns : |

### SoupXmlrpcValueArrayIterator

    typedef xmlNodePtr SoupXmlrpcValueArrayIterator;

### soup_xmlrpc_value_array_get_iterator ()

    gboolean            soup_xmlrpc_value_array_get_iterator
                                                            (SoupXmlrpcValue *value,
                                                             SoupXmlrpcValueArrayIterator **iter);

`value` : |
`iter` : |
Returns : |

### soup_xmlrpc_value_array_iterator_prev ()

    SoupXmlrpcValueArrayIterator* soup_xmlrpc_value_array_iterator_prev
                                                            (SoupXmlrpcValueArrayIterator *iter);

`iter` : |
Returns : |

### soup_xmlrpc_value_array_iterator_next ()

    SoupXmlrpcValueArrayIterator* soup_xmlrpc_value_array_iterator_next
                                                            (SoupXmlrpcValueArrayIterator *iter);

`iter` : |
Returns : |

### soup_xmlrpc_value_array_iterator_get_value ()

    gboolean            soup_xmlrpc_value_array_iterator_get_value
                                                            (SoupXmlrpcValueArrayIterator *iter,
                                                             SoupXmlrpcValue **value);

`iter` : |
`value` : |
Returns : |

### soup_xmlrpc_value_dump ()

    void                soup_xmlrpc_value_dump              (SoupXmlrpcValue *value);

`value` : |